org.wildfly.swarm.topology.consul

## Class ConsulTopologyMessages_$logger

- java.lang.Object
- - DelegatingBasicLogger
  - - org.wildfly.swarm.topology.consul.ConsulTopologyMessages_$logger

- All Implemented Interfaces:
    Serializable, ConsulTopologyMessages

      @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
                 date="2018-02-08T07:21:10-0700")
      public class ConsulTopologyMessages_$logger
      extends DelegatingBasicLogger
      implements ConsulTopologyMessages, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.wildfly.swarm.topology.consul.ConsulTopologyMessages

      `MESSAGES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsulTopologyMessages_$logger(Logger log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `errorOnCatalogUpdate(Throwable t)`
    `void` | `errorSettingUpCatalogWatcher(String key, Throwable t)`
    `void` | `errorStoppingCatalogWatcher(String key, Throwable t)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsulTopologyMessages_$logger

          public ConsulTopologyMessages_$logger(Logger log)

  - ### Method Detail

    - #### errorStoppingCatalogWatcher

          public final void errorStoppingCatalogWatcher(String key,
                                                        Throwable t)

      Specified by:
        `errorStoppingCatalogWatcher` in interface `ConsulTopologyMessages`

    - #### errorSettingUpCatalogWatcher

          public final void errorSettingUpCatalogWatcher(String key,
                                                         Throwable t)

      Specified by:
        `errorSettingUpCatalogWatcher` in interface `ConsulTopologyMessages`

    - #### errorOnCatalogUpdate

          public final void errorOnCatalogUpdate(Throwable t)

      Specified by:
        `errorOnCatalogUpdate` in interface `ConsulTopologyMessages`

Copyright © 2018 JBoss by Red Hat. All rights reserved.